Redmine - Feature #32242

Add estimated hours and spent hours to Versions API
2019-10-11 11:38 - MAROUANE YAAGOUB

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

Hello,

| just started using api redmine,

| am looking for can | have total hours by version
like i have version named 'updateredmine’:

i wanna get the total hours spent in this version

Version 'updateredmine’ | Total hours = 4924.00 hours

Regards

Associated revisions

Revision 18883 - 2019-10-31 03:15 - Go MAEDA
Add estimated hours and spent hours to Versions API (#32242).

Patch by Yuichi HARADA.

History

#1 - 2019-10-15 04:28 - Go MAEDA

- Tracker changed from Defect to Feature

The feature is not yet implemented. But | agree that it would be nice if Versions API returns spent_hours and estimated_hours.

#2 - 2019-10-28 05:29 - Yuichi HARADA
- File 32242 _total_hours_by _fixed_version.patch added

Returns estimated_hours and spent_hours using Versions API "GET /versions/:id(.:format)".
| attached a patch.

#3 - 2019-10-30 10:47 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2019-10-30 16:15 - Go MAEDA
- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#5 - 2019-10-31 03:15 - Go MAEDA

- Subject changed from Total hours by fixed version REST APl to Add estimated hours and spent hours to Versions API

- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
Files

32242 _total_hours_by_fixed_version.patch 2.26 KB 2019-10-28 Yuichi HARADA
